Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchRoutingMulticast({
networkId: "string",
});
export const merakiNetworksSwitchRoutingMulticastExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_routing_multicast(network_id="string")
pulumi.export("merakiNetworksSwitchRoutingMulticastExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchRoutingMulticast(ctx, &networks.LookupSwitchRoutingMulticastArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchRoutingMulticastExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchRoutingMulticast.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchRoutingMulticastExample"] = example.Apply(getSwitchRoutingMulticastResult => getSwitchRoutingMulticastResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchRoutingMulticastArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchRoutingMulticast(GetSwitchRoutingMulticastArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchRoutingMulticastExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchRoutingMulticast
arguments:
networkId: string
outputs:
merakiNetworksSwitchRoutingMulticastExample: ${example.item}
Using getSwitchRoutingMulticast
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchRoutingMulticast(args: GetSwitchRoutingMulticastArgs, opts?: InvokeOptions): Promise<GetSwitchRoutingMulticastResult>
function getSwitchRoutingMulticastOutput(args: GetSwitchRoutingMulticastOutputArgs, opts?: InvokeOptions): Output<GetSwitchRoutingMulticastResult>def get_switch_routing_multicast(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchRoutingMulticastResult
def get_switch_routing_multicast_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchRoutingMulticastResult]func LookupSwitchRoutingMulticast(ctx *Context, args *LookupSwitchRoutingMulticastArgs, opts ...InvokeOption) (*LookupSwitchRoutingMulticastResult, error)
func LookupSwitchRoutingMulticastOutput(ctx *Context, args *LookupSwitchRoutingMulticastOutputArgs, opts ...InvokeOption) LookupSwitchRoutingMulticastResultOutput> Note: This function is named LookupSwitchRoutingMulticast in the Go SDK.
public static class GetSwitchRoutingMulticast
{
public static Task<GetSwitchRoutingMulticastResult> InvokeAsync(GetSwitchRoutingMulticastArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchRoutingMulticastResult> Invoke(GetSwitchRoutingMulticastInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchRoutingMulticastResult> getSwitchRoutingMulticast(GetSwitchRoutingMulticastArgs args, InvokeOptions options)
public static Output<GetSwitchRoutingMulticastResult> getSwitchRoutingMulticast(GetSwitchRoutingMulticastArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchRoutingMulticast:getSwitchRoutingMulticast
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchRoutingMulticast Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Routing Multicast Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Routing Multicast Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Multicast Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Multicast Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Multicast Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchRoutingMulticastItem
- Default
Settings GetSwitch Routing Multicast Item Default Settings - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- Overrides
List<Get
Switch Routing Multicast Item Override> - Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
- Default
Settings GetSwitch Routing Multicast Item Default Settings - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- Overrides
[]Get
Switch Routing Multicast Item Override - Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
- default
Settings GetSwitch Routing Multicast Item Default Settings - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- overrides
List<Get
Switch Routing Multicast Item Override> - Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
- default
Settings GetSwitch Routing Multicast Item Default Settings - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- overrides
Get
Switch Routing Multicast Item Override[] - Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
- default_
settings GetSwitch Routing Multicast Item Default Settings - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- overrides
Sequence[Get
Switch Routing Multicast Item Override] - Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
- default
Settings Property Map - Default multicast setting for entire network. IGMP snooping and Flood unknown multicast traffic settings are enabled by default.
- overrides List<Property Map>
- Array of paired switches/stacks/profiles and corresponding multicast settings. An empty array will clear the multicast settings.
GetSwitchRoutingMulticastItemDefaultSettings
- Flood
Unknown boolMulticast Traffic Enabled - Flood unknown multicast traffic enabled for the entire network
- Igmp
Snooping boolEnabled - IGMP snooping enabled for the entire network
- Flood
Unknown boolMulticast Traffic Enabled - Flood unknown multicast traffic enabled for the entire network
- Igmp
Snooping boolEnabled - IGMP snooping enabled for the entire network
- flood
Unknown BooleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for the entire network
- igmp
Snooping BooleanEnabled - IGMP snooping enabled for the entire network
- flood
Unknown booleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for the entire network
- igmp
Snooping booleanEnabled - IGMP snooping enabled for the entire network
- flood_
unknown_ boolmulticast_ traffic_ enabled - Flood unknown multicast traffic enabled for the entire network
- igmp_
snooping_ boolenabled - IGMP snooping enabled for the entire network
- flood
Unknown BooleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for the entire network
- igmp
Snooping BooleanEnabled - IGMP snooping enabled for the entire network
GetSwitchRoutingMulticastItemOverride
- Flood
Unknown boolMulticast Traffic Enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- Igmp
Snooping boolEnabled - IGMP snooping enabled for switches, switch stacks or switch templates
- Stacks List<string>
- (optional) List of switch stack ids for non-template network
- Switch
Profiles List<string> - (optional) List of switch templates ids for template network
- Switches List<string>
- (optional) List of switch serials for non-template network
- Flood
Unknown boolMulticast Traffic Enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- Igmp
Snooping boolEnabled - IGMP snooping enabled for switches, switch stacks or switch templates
- Stacks []string
- (optional) List of switch stack ids for non-template network
- Switch
Profiles []string - (optional) List of switch templates ids for template network
- Switches []string
- (optional) List of switch serials for non-template network
- flood
Unknown BooleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- igmp
Snooping BooleanEnabled - IGMP snooping enabled for switches, switch stacks or switch templates
- stacks List<String>
- (optional) List of switch stack ids for non-template network
- switch
Profiles List<String> - (optional) List of switch templates ids for template network
- switches List<String>
- (optional) List of switch serials for non-template network
- flood
Unknown booleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- igmp
Snooping booleanEnabled - IGMP snooping enabled for switches, switch stacks or switch templates
- stacks string[]
- (optional) List of switch stack ids for non-template network
- switch
Profiles string[] - (optional) List of switch templates ids for template network
- switches string[]
- (optional) List of switch serials for non-template network
- flood_
unknown_ boolmulticast_ traffic_ enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- igmp_
snooping_ boolenabled - IGMP snooping enabled for switches, switch stacks or switch templates
- stacks Sequence[str]
- (optional) List of switch stack ids for non-template network
- switch_
profiles Sequence[str] - (optional) List of switch templates ids for template network
- switches Sequence[str]
- (optional) List of switch serials for non-template network
- flood
Unknown BooleanMulticast Traffic Enabled - Flood unknown multicast traffic enabled for switches, switch stacks or switch templates
- igmp
Snooping BooleanEnabled - IGMP snooping enabled for switches, switch stacks or switch templates
- stacks List<String>
- (optional) List of switch stack ids for non-template network
- switch
Profiles List<String> - (optional) List of switch templates ids for template network
- switches List<String>
- (optional) List of switch serials for non-template network
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
